Debian Bug report logs - #369209
RM: animal -- RoQA; obsolete, orphaned, unpopular, many alternatives exist

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: "Zak B. Elep" <zakame@spunge.org>

Date: Sun, 28 May 2006 10:03:02 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#369209; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Zak B. Elep" <zakame@spunge.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Zak B. Elep" <zakame@spunge.org>
To: submit@bugs.debian.org
Subject: O: animal -- AN IMAging Library written in C
Date: Sun, 28 May 2006 17:47:45 +0800
Package: wnpp
Severity: normal

Hello all,

I intend to orphan the `animal' package.  It no longer seems to be
used by anyone anymore, and there are no packages in either testing or
unstable that depend/build-depend on it.

If no one picks this up by 30 days (that seems a reasonable grace
period IMO) I will request for its removal from the archive.

Thanks,

Zakame

-- 
Zak B. Elep  ||  http://zakame.spunge.org
zakame@ubuntu.com  ||  zakame@spunge.org
1486 7957 454D E529 E4F1  F75E 5787 B1FD FA53 851D

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#369209; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Felipe Augusto van de Wiel (faw)" <felipe@cathedrallabs.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 369209@bugs.debian.org (full text, mbox):

From: "Felipe Augusto van de Wiel (faw)" <felipe@cathedrallabs.org>
To: 369209@bugs.debian.org
Subject: Bug#369209: O: animal -- AN IMAging Library written in C
Date: Sun, 28 May 2006 16:07:43 -0300
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

	I was checking the upstream website and looks like that
animal [1]moved to be maintained under siptoolbox umbrella. I checked
at packages.d.o and [2]looks like Debian has this package.

1.http://sourceforge.net/forum/forum.php?forum_id=482487

Posted By: ricardofabbri
Date: 2005-07-20 08:28
Summary: Moving to siptoolbox.sf.net

	This project will be moved as a sub-package of siptoolbox
	(siptoolbox.sf.net). It will still remain an independent C
	library, but administratively it will be part of a bigger
	project called SIP.


2.http://packages.debian.org/unstable/math/siptoolbox


	Kind regards,

- --
Felipe Augusto van de Wiel (faw)
"Debian. Freedom to code. Code to freedom!"
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)
Comment: Using GnuPG with Debian - http://enigmail.mozdev.org

iD8DBQFEefT/CjAO0JDlykYRAloMAKCks6Rtm1wbPeJfIQky8CjQbN7hTgCcCq/W
MUewgY5OIQS+BxIGubakNZk=
=eROg
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#369209; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to David Moreno Garza <damog@damog.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 369209@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@damog.net>
To: "Felipe Augusto van de Wiel (faw)" <felipe@cathedrallabs.org>, 369209@bugs.debian.org
Subject: Re: Bug#369209: O: animal -- AN IMAging Library written in C
Date: Mon, 29 May 2006 00:26:58 -0500
Felipe Augusto van de Wiel (faw) wrote:
> 	I was checking the upstream website and looks like that
> animal [1]moved to be maintained under siptoolbox umbrella. I checked
> at packages.d.o and [2]looks like Debian has this package.

Then, if I understand correctly, we could place this bug against
siptoolbox and change the severity into 'wishlist' asking the merge
animal into it?

-- 
David Moreno Garza <damog@damog.net>   |  http://www.damog.net/
		   <damog@debian.org>  |          GPG: C671257D
 Ahí vienen esos pinches nacos otra vez.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#369209; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Felipe Augusto van de Wiel (faw)" <felipe@cathedrallabs.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #20 received at 369209@bugs.debian.org (full text, mbox):

From: "Felipe Augusto van de Wiel (faw)" <felipe@cathedrallabs.org>
To: 369209@bugs.debian.org
Cc: Ricardo Fabbri <rfabbri@if.sc.usp.br>, Torsten Werner <twerner@debian.org>
Subject: Re: Bug#369209: O: animal -- AN IMAging Library written in C
Date: Mon, 29 May 2006 10:01:13 -0300
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 05/29/2006 02:26 AM, David Moreno Garza wrote:
> Felipe Augusto van de Wiel (faw) wrote:
> 
>>	I was checking the upstream website and looks like that
>>animal [1]moved to be maintained under siptoolbox umbrella. I checked
>>at packages.d.o and [2]looks like Debian has this package.
> 
> Then, if I understand correctly, we could place this bug against
> siptoolbox and change the severity into 'wishlist' asking the merge
> animal into it?

	Hmmm, not sure. :-)

	I'm cc'ing one of the main authors of siptoolbox, he is also
the author of animal. I'm also cc'ing Torsten which is the maintainer
of siptoolbox package.

	Maybe we could get some input from them to decide the best
way to go. Kind regards,

- --
Felipe Augusto van de Wiel (faw)
"Debian. Freedom to code. Code to freedom!"
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)
Comment: Using GnuPG with Debian - http://enigmail.mozdev.org

iD8DBQFEevCZCjAO0JDlykYRAjhDAJ9XJDfqiY6sWMaqKl3LsbatJOpo3gCfVDg1
CAACxFNvIvr1d6YoHJEY1uA=
=lhPp
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#369209; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Nathanael Nerode <neroden@twcny.rr.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #25 received at 369209@bugs.debian.org (full text, mbox):

From: Nathanael Nerode <neroden@twcny.rr.com>
To: control@bugs.debian.org, 369209@bugs.debian.org
Subject: Please remove 'animal' from unstable
Date: Fri, 28 Jul 2006 10:28:18 -0400
retitle 369209 RM: animal; RoQA; obsolete, orphaned, unpopular, many alternatives exist
reassign 369209 ftp.debian.org
thanks

Current 'animal' package is obsolete and out of date.  Upstream animal has 
been merged into siptoolbox -- which is also unpopular and was recently 
removed from Debian.  There are lots of alternative image handling libraries.

And nobody much is using 'animal' in Debian (2 popcon installs, 1 vote).

It's been orphaned for two months with nobody expressing any interest.




Changed Bug title. Request was from Nathanael Nerode <neroden@twcny.rr.com> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Nathanael Nerode <neroden@twcny.rr.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from "Adam D. Barratt" <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Zak B. Elep" <zakame@spunge.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #36 received at 369209-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 369209-close@bugs.debian.org
Cc: animal@packages.debian.org, animal@packages.qa.debian.org
Subject: Bug#369209: fixed
Date: Sun, 13 Aug 2006 08:21:00 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

    animal |   0.14.3-4 | source
libanimal-0.14.3-0 |   0.14.3-4 | alpha, amd64, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
libanimal-dev |   0.14.3-4 | alpha, amd64, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 369209@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 13:30:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 05:14:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.